Bug 240702 - kernel 2.6.20-1.2948.fc6 crashes during "Starting udev"
kernel 2.6.20-1.2948.fc6 crashes during "Starting udev"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-05-20 15:31 EDT by Stephen Eitelman
Modified: 2008-02-07 23:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Partial traceback showing point of error occurrence (1.03 MB, image/jpeg)
2007-05-23 08:53 EDT, Stephen Eitelman
no flags Details
Entire traceback screen photo (1010.13 KB, image/jpeg)
2007-05-23 08:55 EDT, Stephen Eitelman
no flags Details

  None (edit)
Description Stephen Eitelman 2007-05-20 15:31:32 EDT
Description of problem:fc6 will not complete loading with kernel
2.6.20-1.2948.fc6 update. It stops during "Starting udev" with following report:
kernel BUG at include/linux/timer.h:82! invalid opcode: 0000 [#1] SMP last sysfs
file: <This varies. one was /block/hdc/removeable, another
/class/usb_endpoint/usbdev, another /block/ram5/dev>.

fc6 loads fine with the .18 kernel. I also have FC-5 loaded and a recent update
put in the 2.6.20 kernel and it loads fine. It has a different -1.XXXX number
than the one in fc6.


Version-Release number of selected component (if applicable):kernel
2.6.20-1.2948.fc6


How reproducible:Software upgrade


Steps to Reproduce:
1.Load FC6 respin 20070401. 
2.yum upgrade (It downloads 111 packages)
3.
  
Actual results: Stopped loading during "Starting udev" line


Expected results: Complete loading & run fc6


Additional info:There is a large amount of data presented after the crash which
seems to include register contents and then another screen of what looks to be
memory contents. I have no idea how to save this stuff as fc6 is not yet
running. It did not show in dmesg or /var/log/messages after running fc6 with
.18 kernel.
Comment 1 Stephen Eitelman 2007-05-20 18:56:37 EDT
Steps to Reproduce:
1. Install FC6 using respin 20070401
2. Then do a yum upgrade (111 packages when I did it)
3. Reboot

The original Steps to Reproduce is a bit misleading. Hope the above clarifies
what I did.

I'm not real sure this should be a kernel bug report. Maybe the udev program is
what is really causing the problem. The fact that the .20 kernel works fine with
FC-5 confuses me.

If somebody can tell me how to save all that status reporting after the crash
and submit it, I'd be only too happy to do so. There is a *bunch* of it! I just
included the first few lines.
Comment 2 Chuck Ebbert 2007-05-21 14:27:15 EDT
We need the full backtrace. Take a picture of the screen with a digital
camera and post it as an attachment.
Comment 3 Stephen Eitelman 2007-05-23 08:53:49 EDT
Created attachment 155235 [details]
Partial traceback showing point of error occurrence
Comment 4 Stephen Eitelman 2007-05-23 08:55:08 EDT
Created attachment 155236 [details]
Entire traceback screen photo
Comment 5 Chuck Ebbert 2007-05-23 16:56:45 EDT
Try booting without the ide-scsi driver. Looks like error handling is
broken for that one and there should not be any need for it anyway.
Comment 6 Stephen Eitelman 2007-05-24 12:07:23 EDT
Thank you for the advice. Could you tell me how to disable loading of the
ide-scsi driver? I really have no clue. The error readout shows it as a module
that is linked into the kernel, but I can't where the link might be.
Comment 7 Chuck Ebbert 2007-05-24 12:11:33 EDT
ide-scsi is usually activated by a kernel command line option like:

  hdc=ide-scsi

Without that it shouldn't be used.
Comment 8 Stephen Eitelman 2007-05-24 16:28:44 EDT
The entry for FC-6 in my /boot/grub/menu.lst shows the following line for the
kernel command:

kernel /boot/vmlinuz-2.6.20-1.2948.fc6 ro root=LABEL=/ vga=791

There is no hdh=ide-scsi. That used to be used for  the Sony CD-RW burner.
Recent kernels apparently had it linked in "somehow"! I see in the error
printout that 'ide-scsi' in among the modules linked in. 

Is there a way to unlink ide-scsi? Recompile the kernel? Gulp!

Thanks, Steve E.
Comment 9 Stephen Eitelman 2007-06-02 15:37:25 EDT
I just tried to load Fedora 7. The installer crashes at the line "Loading SCSI
driver". 

This plus the FC-6 problem is reminiscent of problems I had with the tape drive
and the (old) cd burner not playing together. They both need ide-scsi emulation.
My system has 7 ide devices. 4 are connected to the two master slave controllers
on the mobo, the remaining three to a pci-ide adapter card by Promise
Technologies. By carefully tweaking the locations of the tape drive and cd
burner in the ide chain, they both worked. 

So as an experiment, I unplugged both the cd burner and tape drive. FC-6 with
the .20 kernel now works just fine. The F-7 installer also runs like a clock!

So these problems are traceable to hardware quirks in my system. However, I
still think there is a bug - up till the .20 kernel, (in FC-6) everything ran fine. 

By the same token, my machine seems to be the only one with this problem. Google
searches on the web and Bugzilla searches turned up nothing. So maybe this
problem is not worth pursuing? Y'all call it.

Steve E.
Comment 10 Chuck Ebbert 2007-06-22 18:30:51 EDT
static inline void add_timer(struct timer_list *timer)
{
        BUG_ON(timer_pending(timer));
        __mod_timer(timer, timer->expires);
}
Comment 11 Jon Stanley 2008-01-07 20:47:57 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 12 Jon Stanley 2008-02-07 23:25:32 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.